#pragma once
#include "dojo/dojo.h"

using namespace dojo;

class App : public DApp {
public:

    virtual void main();

    virtual void loadScene();

public:

    class Demo*         applet;
	class GUI_App*		gui_app;

    App(const GAppSettings& settings, class GUI_App* _gui_app);

    ~App();

};